ModelStream LogoModelStream Logo
Models
Video API
Image API
Chat API
Audio API
Studio
Pricing
Docs
Menu
IntroductionQuickstartAPI KeysUse with Hermes AgentUse with OpenClaw
Model ListBilling Guide
ModelStream

Video API

  • Seedance 2.0
  • Happyhorse 1.0
  • Vidu Q3
  • Kling V3.0
  • Veo 3.1
  • Wan 2.7
  • More Video Models →

Image API

  • GPT Image 2
  • Nano Banana 2
  • Seedream 5.0
  • Imagen 4
  • Qwen Image 2.0
  • Z-Image Turbo
  • More Image Models →

Audio API

  • Suno Music
  • Qwen3 TTS Flash
  • More Audio Models →

Chat API

  • GLM-5.2
  • Claude Opus 4.8
  • Gemini 3.5 Flash
  • Qwen 3.7 Max
  • GPT 5.5
  • More Chat Models →

About Us

  • Privacy Policy
  • Terms of Service
  • Support
  • Enterprise

© 2026 ModelStream Inc. All rights reserved.

API Documentation
API Reference
Chat
Create Chat Completion

Create Chat Completion

Loading models...
G
GPT-5.5 (gpt-5.5)
gpt-5.50 models support this endpoint

GPT-5.5 is OpenAI’s newest frontier model, designed for complex professional work, coding, tool-heavy agents, grounded assistants, long-context retrieval, and production-grade workflows. It supports text and image inputs with text output, a context window of up to 1,050,000 tokens, and up to 128,000 output tokens. With advanced reasoning controls, strong instruction following, precise tool use, structured outputs, and support for hosted tools such as web search, file search, code interpreter, image generation, computer use, MCP, and tool search, GPT-5.5 is well-suited for advanced software engineering, enterprise automation, research workflows, agentic systems, and customer-facing AI applications.

Create chat completion

https://api.modelstream.ai
POST/v1/chat/completions

Authentication

BearerAuth
AuthenticationBearer <token>

All API requests must be authenticated using a Bearer token in the Authorization header. Please ensure your API key is active.Authorization: Bearer sk-xxxxxx

Parameter Location: Header Param

Request Body

application/json

These parameters come from the selected model form_schema. Switching models updates this list and the request example.

system_prompt?string

Global instructions or persona for the model.

Example Value: You are a helpful and expert assistant.Placeholder: e.g., You are a senior software architect...
prompt*string
RequiredExample Value: Hello! What can you do?Placeholder: Enter your question or instructions...
image_urls?array

Supports multi-image understanding (optional).

Value Range: 0 ≤ value ≤ 10
image_detail?string
Example Value: auto
Enum/Options:
Auto: autoLow: lowHigh: high
reasoning_effort?string

Controls how much reasoning effort the model spends before answering.

Example Value: medium
Enum/Options:
Low: lowMedium: mediumHigh: highxHigh: xhigh
verbosity?string

Controls how verbose the response is.

Example Value: medium
Enum/Options:
Low: lowMedium: medium
max_completion_tokens?number
Example Value: 8192Value Range: 1 ≤ value ≤ 128000
response_format?string
Example Value: text
Enum/Options:
Text: textJSON Object: json_object
stream?boolean
Example Value: true

Response Parameters

application/json
200apiDocs.responses.successCreateResponse
id?string

Parameter description for Id

object?string

Parameter description for Object

created?integer

Parameter description for Created

model?string

Model ID used

choices?array

Parameter description for Choices

usage?object

Parameter description for Usage

prompt_tokens?integer

Parameter description for Prompt Tokens

completion_tokens?integer

Parameter description for Completion Tokens

total_tokens?integer

Parameter description for Total Tokens

prompt_tokens_details?object

Parameter description for Prompt Tokens Details

completion_tokens_details?object

Parameter description for Completion Tokens Details

system_fingerprint?string

Parameter description for System Fingerprint

400apiDocs.responses.badRequestParams
error?object

Parameter description for Error

message?string

Error Message

type?string

Error Type

param?string

Related Parameters

code?string

Error Code

429apiDocs.responses.rateLimited
error?object

Parameter description for Error

message?string

Error Message

type?string

Error Type

param?string

Related Parameters

code?string

Error Code

curl -X POST "https://api.modelstream.ai/v1/chat/completions" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "gpt-5.5",
  "messages": [
    {
      "role": "developer",
      "content": "You are a senior software architect."
    },
    {
      "role": "user",
      "content": [
        {
          "type": "text",
          "text": "Analyze this diagram and suggest improvements for scalability."
        },
        {
          "type": "image_url",
          "image_url": {
            "url": "https://example.com/arch.png",
            "detail": "high"
          }
        }
      ]
    }
  ],
  "reasoning_effort": "high",
  "verbosity": "medium",
  "max_completion_tokens": 4096,
  "stream": true
}'
{
  "id": "string",
  "object": "chat.completion",
  "created": 0,
  "model": "string",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "system",
        "content": null,
        "name": "string",
        "tool_calls": [
          {
            "id": "string",
            "type": "function",
            "function": {
              "name": "string",
              "arguments": "string"
            }
          }
        ],
        "tool_call_id": "string",
        "reasoning_content": "string"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0,
    "prompt_tokens_details": {
      "cached_tokens": 0,
      "text_tokens": 0,
      "audio_tokens": 0,
      "image_tokens": 0
    },
    "completion_tokens_details": {
      "text_tokens": 0,
      "audio_tokens": 0,
      "reasoning_tokens": 0
    }
  },
  "system_fingerprint": "string"
}